package com.epson.mobilephone.common.license;

import android.content.Context;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import java.io.Serializable;

/**
 * 用户隐私信息接口
 */
public interface UserSurveyInfo extends Serializable {
    @Nullable
    String getButtonString(@NonNull Context context, int i);

    int getResponseStatus(@NonNull Context context);

    @Nullable
    String getUserSurveyInvitationText(@NonNull Context context);

    void setUserSurveyAgreement(@NonNull Context context, boolean z);
}
